# TODO
# - tests need local ldap running (should start own copy of daemon instead)
#
# Conditional build:
%bcond_with	tests	# do not perform "make test"

Summary:	A user and group account administration library
Summary(pl.UTF-8):	Biblioteka do administrowania kontami użytkowników i grup
Name:		libuser
Version:	0.63
Release:	1
License:	LGPL v2+
Group:		Base
Source0:	https://pagure.io/libuser/archive/libuser-%{version}/libuser-%{name}-%{version}.tar.gz
# Source0-md5:	3ab610afe9ab2431cdeed46b0c629bd1
URL:		https://pagure.io/libuser
BuildRequires:	cyrus-sasl-devel
BuildRequires:	gettext-tools >= 0.17
BuildRequires:	glib2-devel >= 2.0
BuildRequires:	libselinux-devel
BuildRequires:	openldap-devel
BuildRequires:	pam-devel
BuildRequires:	pkgconfig
BuildRequires:	popt-devel
BuildRequires:	python-devel
BuildRequires:	sgml-tools
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
%if %{with tests}
BuildRequires:	openldap
BuildRequires:	openldap-servers
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The libuser library implements a standardized interface for
manipulating and administering user and group accounts. The library
uses pluggable back-ends to interface to its data sources.

Sample applications modeled after those included with the shadow
password suite are included.

%description -l pl.UTF-8
Biblioteka libuser implementuje ustandaryzowany interfejs do
manipulowania i administrowania kontami użytkowników i grup.
Wykorzystuje system wtyczek backendów współpracujących ze źródłami
danych.

Do pakietu dołączone są przykładowe aplikacje korzystające z
biblioteki, opracowane na podstawie odpowiedników z pakietu shadow.

%package devel
Summary:	Files needed for developing applications which use libuser
Summary(pl.UTF-8):	Pliki do tworzenia aplikacji wykorzystujących libuser
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel

%description devel
The libuser-devel package contains header and other files useful for
developing applications with libuser.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe i inne przydatne do tworzenia
aplikacji wykorzystujących bibliotekę libuser.

%package apidocs
Summary:	API documentation for libuser library
Summary(pl.UTF-8):	Dokumentacja API biblioteki libuser
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for libuser library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libuser.

%package -n python-libuser
Summary:	Python bindings for the libuser library
Summary(pl.UTF-8):	Wiązania Pythona do biblioteki libuser
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description -n python-libuser
This package contains the Python bindings for the libuser library,
which provides a Python API for manipulating and administering user
and group accounts.

%description -n python-libuser -l pl.UTF-8
Ten pakiet zawiera wiązania Pythona do biblioteki libuser. Udostępnia
pythonowe API do manipulowania i administrowania kontami użytkowników
i grup.

%prep
%setup -q -n %{name}-%{name}-%{version}

%build
mkdir -p m4
%{__gtkdocize} --docdir docs/reference
%{__libtoolize}
%{__autopoint}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	NSCD=/usr/sbin/nscd \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir} \
	--with-ldap \
	--with-selinux
%{__make}

%{?with_tests:%{__make} check}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# loadable modules
%{__rm} $RPM_BUILD_ROOT%{_libdir}/%{name}/*.la
%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/*.la
# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libuser.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO docs/*.txt
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/libuser.conf
%attr(755,root,root) %{_bindir}/lchfn
%attr(755,root,root) %{_bindir}/lchsh
%attr(755,root,root) %{_libdir}/libuser.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libuser.so.1
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/libuser_files.so
%attr(755,root,root) %{_libdir}/%{name}/libuser_ldap.so
%attr(755,root,root) %{_libdir}/%{name}/libuser_shadow.so
%attr(755,root,root) %{_sbindir}/lchage
%attr(755,root,root) %{_sbindir}/lgroupadd
%attr(755,root,root) %{_sbindir}/lgroupdel
%attr(755,root,root) %{_sbindir}/lgroupmod
%attr(755,root,root) %{_sbindir}/lid
%attr(755,root,root) %{_sbindir}/lnewusers
%attr(755,root,root) %{_sbindir}/lpasswd
%attr(755,root,root) %{_sbindir}/luseradd
%attr(755,root,root) %{_sbindir}/luserdel
%attr(755,root,root) %{_sbindir}/lusermod
%{_mandir}/man1/lchage.1*
%{_mandir}/man1/lchfn.1*
%{_mandir}/man1/lchsh.1*
%{_mandir}/man1/lgroupadd.1*
%{_mandir}/man1/lgroupdel.1*
%{_mandir}/man1/lgroupmod.1*
%{_mandir}/man1/lid.1*
%{_mandir}/man1/lnewusers.1*
%{_mandir}/man1/lpasswd.1*
%{_mandir}/man1/luseradd.1*
%{_mandir}/man1/luserdel.1*
%{_mandir}/man1/lusermod.1*
%{_mandir}/man5/libuser.conf.5*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libuser.so
%{_includedir}/libuser
%{_pkgconfigdir}/libuser.pc

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libuser

%files -n python-libuser
%defattr(644,root,root,755)
%doc python/modules.txt
%attr(755,root,root) %{py_sitedir}/libuser.so
%changelog
* Sat Oct 16 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libuser.git;a=log;h=master

* Sat Oct 16 2021 Jan Rękorajski <baggins@pld-linux.org> b361bea
- up to 0.63

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> 065e434
- unconditional noarch subpackages

* Wed Apr 10 2019 Jakub Bogusz <qboosh@pld-linux.org> 31e911c
- updated URLs, separated -apidocs, drop .la; release 5

* Thu Mar 14 2019 Jan Palus <atler@pld-linux.org> fe934f0
- release 4 (by relup.sh)

* Fri Sep 14 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> bfd5970
- release 3 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 11e5c4c
- release 2 (by relup.sh)

* Sun Jul 26 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> f379913
- up to 0.62; fixes CVE-2015-3245 and CVE-2015-3246

* Thu Jul 23 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 6b5c19a
- up to 0.61; security issues still there

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> 8c7c644
- x32 rebuild
- release 3 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> d410608
- updated gettext BR

* Sun Dec 07 2014 Jan Rękorajski <baggins@pld-linux.org> 4bc0f1d
- libffi rebuild
- release 2 (by relup.sh)

* Mon Nov 11 2013 Jakub Bogusz <qboosh@pld-linux.org> e650d9e
- updated to 0.60

* Sun Mar 31 2013 Jakub Bogusz <qboosh@pld-linux.org> 3d9a7e1
- updated to 0.59 (fixes CVE-2012-5630 CVE-2012-5644)

* Fri Dec 07 2012 Jakub Bogusz <qboosh@pld-linux.org> abeefce
- pass NSCD path, .so perms

* Fri Dec 07 2012 Jan Rękorajski <baggins@pld-linux.org> 0ee65a8
- updated to 0.58
- fix format string warnings
- removed obsolete patch

* Thu Dec 06 2012 Jan Rękorajski <baggins@pld-linux.org> 0a94238
- release 3 (by relup.sh)

* Wed Mar 28 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> cdabaf6
- release 2

* Thu Jan 12 2012 zbyniu <zbyniu@pld-linux.org> f188559
- up to 0.57.3

* Sat Oct 01 2011 Elan Ruusamäe <glen@pld-linux.org> b87eaa4
- up to 0.57.1

* Sun Feb 06 2011 sparky <sparky@pld-linux.org> 4dd0f62
- unified %clean section

